UpdateWorkspace
Updates a workspace. You can update only workspaces in the ACTIVE or
FAILED state. Fields that you omit from the request are left unchanged. To
recover a workspace in the FAILED state, call this operation and supply its
encryption configuration again.
Request Syntax
PUT /workspaces/workspaceName HTTP/1.1
Content-type: application/json
{
"clientToken": "string",
"encryptionConfiguration": {
"encryptionType": "string",
"kmsKeyId": "string"
},
"workspaceDescription": "string"
}
URI Request Parameters
The request uses the following URI parameters.
- workspaceName
-
The name of the workspace to update.
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
^[a-zA-Z0-9_-]+$Required: Yes
Request Body
The request accepts the following data in JSON format.
- clientToken
-
A unique, case-sensitive identifier that you provide to ensure that the request is idempotent. If you retry a request that completed successfully using the same client token, the retry succeeds without performing any further actions.
Type: String
Length Constraints: Minimum length of 36. Maximum length of 64.
Pattern:
\S{36,64}Required: No
- encryptionConfiguration
-
The encryption configuration for the workspace. Omit this field to leave encryption unchanged. After a customer managed key configuration becomes active, the key can't be changed; supplying the same key is accepted.
Type: WorkspaceEncryptionConfiguration object
Required: No
- workspaceDescription
-
A new description for the workspace.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 2048.
Pattern:
[^\u0000-\u001F\u007F]+Required: No
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"workspaceStatus": {
"error": {
"code": "string",
"message": "string"
},
"state": "string"
}
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- workspaceStatus
-
The status of the workspace after the update, which is
UPDATINGwhen the operation returns.Type: WorkspaceStatus object
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
Access is denied.
HTTP Status Code: 403
- ConflictingOperationException
-
Your request has conflicting operations. This can occur if you're trying to perform more than one operation on the same resource at the same time.
- resourceArn
-
The ARN of the resource that conflicts with this operation.
- resourceId
-
The ID of the resource that conflicts with this operation.
HTTP Status Code: 409
- InternalFailureException
-
AWS IoT SiteWise can't process your request right now. Try again later.
HTTP Status Code: 500
- InvalidRequestException
-
The request isn't valid. This can occur if your request contains malformed JSON or unsupported characters. Check your request and try again.
HTTP Status Code: 400
- ResourceNotFoundException
-
The requested resource can't be found.
HTTP Status Code: 404
- ThrottlingException
-
Your request exceeded a rate limit. For example, you might have exceeded the number of AWS IoT SiteWise assets that can be created per second, the allowed number of messages per second, and so on.
For more information, see Quotas in the AWS IoT SiteWise User Guide.
HTTP Status Code: 429
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: